Notifications
CompozyOS Notifications HTTP endpoints.
/api/notifications/attentionQuery Parameters
Profile owning acknowledgement receipts, including aggregate reads
Home workspace scope; empty selects global tasks
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/notifications/attention"{ "finished": 0, "items": [ { "agent_name": "string", "badge": "string", "detail": "string", "finished": true, "generation": 0, "id": "string", "item_index": 0, "kind": "string", "loop_name": "string", "node_id": "string", "occurred_at": "2019-08-24T14:15:22Z", "redacted": true, "request_kind": "string", "run_id": "string", "source_id": "string", "terminal_id": "string", "title": "string", "workspace_id": "string", "workspace_label": "string" } ], "needs_you": 0, "snapshot": "string", "total": 0}/api/notifications/attention/acknowledgeQuery Parameters
Profile owning acknowledgement receipts, including aggregate reads
Home workspace scope; empty selects global tasks
Read one profile's rows by name
Read the owner-labeled all-profiles aggregate
Snapshot owner (default bell)
Value in
- "bell"
- "home"
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/notifications/attention/acknowledge" \ -H "Content-Type: application/json" \ -d '{ "snapshot": "string" }'/api/notifications/presetsQuery Parameters
Profile whose effective enablement state is returned
Filter by enabled state
Filter by built-in state
Filter by exact preset name
Maximum number of presets to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/notifications/presets"{ "generated_at": "2019-08-24T14:15:22Z", "presets": [ { "built_in": true, "created_at": "2019-08-24T14:15:22Z", "default_hash": "string", "default_update_available": true, "default_version": "string", "enabled": true, "events": [ "string" ], "filter": "string", "name": "string", "profile": "string", "targets": [ { "bridge_id": "string", "canonical_route": "string", "delivery_mode": "string", "display_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "user_modified": true } ], "total": 0}/api/notifications/presetsQuery Parameters
Profile whose effective state is returned
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/notifications/presets" \ -H "Content-Type: application/json" \ -d '{ "events": [ "string" ], "name": "string", "targets": [ { "bridge_id": "string" } ] }'{ "preset": { "built_in": true, "created_at": "2019-08-24T14:15:22Z", "default_hash": "string", "default_update_available": true, "default_version": "string", "enabled": true, "events": [ "string" ], "filter": "string", "name": "string", "profile": "string", "targets": [ { "bridge_id": "string", "canonical_route": "string", "delivery_mode": "string", "display_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "user_modified": true }}/api/notifications/presets/{name}Path Parameters
Notification preset name
Query Parameters
Profile whose effective state is returned
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/notifications/presets/string"{ "preset": { "built_in": true, "created_at": "2019-08-24T14:15:22Z", "default_hash": "string", "default_update_available": true, "default_version": "string", "enabled": true, "events": [ "string" ], "filter": "string", "name": "string", "profile": "string", "targets": [ { "bridge_id": "string", "canonical_route": "string", "delivery_mode": "string", "display_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "user_modified": true }}/api/notifications/presets/{name}Path Parameters
Notification preset name
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/notifications/presets/string"/api/notifications/presets/{name}Path Parameters
Notification preset name
Query Parameters
Profile whose effective state is returned
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/notifications/presets/string" \ -H "Content-Type: application/json" \ -d '{}'{ "preset": { "built_in": true, "created_at": "2019-08-24T14:15:22Z", "default_hash": "string", "default_update_available": true, "default_version": "string", "enabled": true, "events": [ "string" ], "filter": "string", "name": "string", "profile": "string", "targets": [ { "bridge_id": "string", "canonical_route": "string", "delivery_mode": "string", "display_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "user_modified": true }}/api/notifications/presets/{name}/enablementPath Parameters
Notification preset name
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/notifications/presets/string/enablement" \ -H "Content-Type: application/json" \ -d '{ "enabled": true, "profile": "string" }'{ "enabled": true, "name": "string", "profile": "string"}